--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -1,4 +1,5 @@
 add_library(btor2parser
+  SHARED
   btor2parser/btor2parser.c
 )
 target_include_directories(btor2parser PRIVATE .)
@@ -10,6 +11,19 @@ install(
   PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
 )
 
+add_library(btor2parser_static
+  STATIC
+  btor2parser/btor2parser.c
+)
+target_include_directories(btor2parser_static PRIVATE .)
+set_target_properties(btor2parser_static PROPERTIES OUTPUT_NAME btor2parser)
+set_target_properties(btor2parser_static PROPERTIES PUBLIC_HEADER btor2parser/btor2parser.h)
+install(
+  TARGETS btor2parser_static
+  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+  PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
+)
+
 add_executable(btorsim
   btorsim/btorsimam.cpp
   btorsim/btorsimstate.cpp
